ID CVE-2016-4817
Summary lib/http2/connection.c in H2O before 1.7.3 and 2.x before 2.0.0-beta5 mishandles HTTP/2 disconnection, which allows remote attackers to cause a denial of service (use-after-free and application crash) or possibly execute arbitrary code via a crafted packet.
References
Vulnerable Configurations
  • H2O Project H2O 2.0.0 Beta 4
    cpe:2.3:a:h2o_project:h2o:2.0.0:beta4
  • H2O Project H2O 1.7.2
    cpe:2.3:a:h2o_project:h2o:1.7.2
CVSS
Base: 5.0 (as of 20-06-2016 - 16:58)
Impact:
Exploitability:
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
refmap via4
confirm
jvn JVN#87859762
jvndb JVNDB-2016-000091
Last major update 21-06-2016 - 09:56
Published 18-06-2016 - 21:59
Back to Top